- [HTTP request](https://developers.google.com/chrome/management/reference/rest/v1/customers.apps/countChromeAppRequests#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.apps/countChromeAppRequests#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.apps/countChromeAppRequests#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/chrome/management/reference/rest/v1/customers.apps/countChromeAppRequests#body.request_body)
- [Response body](https://developers.google.com/chrome/management/reference/rest/v1/customers.apps/countChromeAppRequests#body.response_body)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.apps/countChromeAppRequests#body.CountChromeAppRequestsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/chrome/management/reference/rest/v1/customers.apps/countChromeAppRequests#body.aspect)
- [ChromeAppRequest](https://developers.google.com/chrome/management/reference/rest/v1/customers.apps/countChromeAppRequests#ChromeAppRequest)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.apps/countChromeAppRequests#ChromeAppRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/chrome/management/reference/rest/v1/customers.apps/countChromeAppRequests#try-it)

Generate summary of app installation requests.

### HTTP request

`GET https://chromemanagement.googleapis.com/v1/{customer=customers/*}/apps:countChromeAppRequests`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customer` | `string` Required. Customer id or "my_customer" to use the customer associated to the account making the request. |

### Query parameters

| Parameters ||
|---|---|
| `orgUnitId` | `string` The ID of the organizational unit. |
| `pageSize` | `integer` Maximum number of results to return. Maximum and default are 50, anything above will be coerced to 50. |
| `pageToken` | `string` Token to specify the page of the request to be returned. |
| `orderBy` | `string` Field used to order results. Supported fields: - requestCount - latestRequestTime |

### Request body

The request body must be empty.

### Response body

Response containing summary of requested app installations.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requestedApps": [ { object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.apps/countChromeAppRequests#ChromeAppRequest`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `requestedApps[]` | ``object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.apps/countChromeAppRequests#ChromeAppRequest`)`` Count of requested apps matching request. |
| `nextPageToken` | `string` Token to specify the next page in the list. |
| `totalSize` | `integer` Total number of matching app requests. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/chrome.management.appdetails.readonly`

## ChromeAppRequest

Details of an app installation request.

| JSON representation |
|---|
| ``` { "appId": string, "displayName": string, "appDetails": string, "iconUri": string, "detailUri": string, "requestCount": string, "latestRequestTime": string } ``` |

| Fields ||
|---|---|
| `appId` | `string` Output only. Unique store identifier for the app. Example: "gmbmikajjgmnabiglmofipeabaddhgne" for the Save to Google Drive Chrome extension. |
| `displayName` | `string` Output only. App's display name. |
| `appDetails` | `string` Output only. Format: appDetails=customers/{customer_id}/apps/chrome/{appId} |
| `iconUri` | `string` Output only. A link to an image that can be used as an icon for the product. |
| `detailUri` | `string` Output only. The uri for the detail page of the item. |
| `requestCount` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. Total count of requests for this app. |
| `latestRequestTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Output only. The timestamp of the most recently made request for this app. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |